//Anas Alshare
//10th Dec. 2018
//Timer With Interrupt.
//DWTFYW License

#define F_CPU 1000000UL
#include <avr/io.h>
#include <util/delay.h>
#include <avr/ interrupt.h>

//SET THE INTERRUPT ROUTIIIIIIIIIIIIIIIIIIIIIINE!!!!

ISR(TIM1_COMPA_vect){
  PORTA ^= (1<<PA3); THIS IS TO TOGGLE BIT AND CHANGE ITS STATE!!
}

int main (void)
{
    DDRA=0b00001000; // set PA3 as output in DDRA.
    TCCR1B |= (1<<WGM12); //ENABLE TIMER1 CTC MODE.
    OCR1A= 15625; // This is the 1 second using the 1/64 prescalar.

    sei(); //Enable Global Interrupt.
    TIMSK1 |= (1<<OCIE1A); // This enable CTC interrupt when TCNT1=0CR1A
    TCCR1B |= (1<<CS11);    // THIS WILL ENABLE THE PRESCALAR TO 1/64 ANS START COUNTER
    TCCR1B |= (1<<CS10);    // THIS WILL ENABLE THE PRESCALAR TO 1/64 ANS START COUNTER
while(1) {
//KEPT EMPTY IN ORDER TO JUST MAKE AN INFINITE LOOP!!!
         }
  }
