#define F_CPU 1000000UL
#include <avr/io.h>
#include <util/delay.h>
#define setbit(register, bit) (register) |= (1 << (bit))
#define clearbit(register, bit) (register) &= ~(1 << (bit))
#define testbit(register, bit) (register) & (1 << (bit))

int main (void)
{
//SETTING THE INPUTS AND THE OUTPUTS!!
 setbit(DDRA,PA1); // set PA1 as output in DDRA (Buzzer).
 setbit(DDRA,PA3);// THis sets the PA3 as Output.LED
 clearbit(DDRA,PA0); // Configure PA0 as input.
 clearbit(DDRB,PB2);//INPUT BUTTON!!

 setbit(PORTB,PB2);//ACTIVATES PULL UP RESISTOR IN PB2


 setbit(ADCSRA,ADPS2); // THE Prescalar...
 setbit(ADCSRA,ADEN); // THE ...
 //ADMUX=0b00000000;
clearbit(PORTA,PA1);  //BUZZER IS OFF
setbit(PORTA,PA3); // TURN LED OFF

 while(1) {
_delay_ms(10);
setbit(ADCSRA,ADSC); //START THE SINGLE CONVERSION INSIDE THE LOOP



if (ADC > 100 ){  // LASER IS NOT POINTED TO LDR
  clearbit(PORTA,PA3); //TURN LED ON
  setbit(PORTA,PA1);  //BUZZER IS ON
  _delay_ms(500); //DELAY OF 0.5 SECONDS;
}
else{ // LASER IS POINTER TO THE LDR
  setbit(PORTA,PA3); // TURN LED OFF
  clearbit(PORTA,PA1);  //BUZZER IS OFF
}

}
}
